%define upstream_name    XML-Feed
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      2

Summary:    Perl Module for Syndication feed parsing and auto-discovery 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Feed::Find)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Fetch)
BuildRequires: perl(XML::Atom) >= 0.380.0
BuildRequires: perl(XML::LibXML) >= 1.660.0
BuildRequires: perl(XML::RSS) >= 1.470.0
BuildArch:  noarch

# (misc) not found by find-provides, as it can be changed at runtime with a 
# variable $PREFERED_PARSER
Requires:   perl(XML::RSS)
%{?perl_default_filter}

%description
XML::Feed is a syndication feed parser for both RSS and Atom feeds. It also
implements feed auto-discovery for finding feeds, given a URI.

XML::Feed supports the following syndication feed formats:

* RSS 0.91
* RSS 1.0
* RSS 2.0
* Atom

The goal of XML::Feed is to provide a unified API for parsing and using the
various syndication formats.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2:0.530.0-2.mga6
+ Revision: 1035990
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 2:0.530.0-1.mga6
+ Revision: 924084
- update to 0.53

* Wed Oct 15 2014 umeabot <umeabot> 2:0.520.0-6.mga5
+ Revision: 741118
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2:0.520.0-5.mga5
+ Revision: 732627
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2:0.520.0-4.mga5
+ Revision: 686920
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2:0.520.0-3.mga4
+ Revision: 525637
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 takashi <takashi> 2:0.520.0-2.mga4
+ Revision: 433932
- Update to 0.52

* Sun Jan 13 2013 umeabot <umeabot> 2:0.500.0-2.mga3
+ Revision: 375019
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 2:0.500.0-1.mga3
+ Revision: 270332
- update to 0.50

* Tue Jun 05 2012 jquelin <jquelin> 2:0.490.0-1.mga3
+ Revision: 255605
- update to 0.49

* Mon Sep 26 2011 jquelin <jquelin> 2:0.460.0-1.mga2
+ Revision: 148253
- update to 0.46
- update to 0.45
- update to 0.44

* Mon Jan 24 2011 jquelin <jquelin> 2:0.430.0-1.mga1
+ Revision: 37731
- mageia rebuild
- imported package perl-XML-Feed


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 2:0.430.0-1mdv2010.0
+ Revision: 401864
- rebuild using %%perl_convert_version

* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2:0.43-1mdv2010.0
+ Revision: 373772
- update to new version 0.43

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2:0.42-1mdv2010.0
+ Revision: 370249
- update to new version 0.42

* Thu Mar 26 2009 Michael Scherer <misc@mandriva.org> 2:0.41-2mdv2009.1
+ Revision: 361417
- add a require to perl-XML-RSS, fix bug #49123

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2:0.41-1mdv2009.1
+ Revision: 314281
- update to new version 0.41

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2:0.40-1mdv2009.1
+ Revision: 309314
- update to new version 0.40

* Sun Nov 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2:0.3-1mdv2009.1
+ Revision: 303785
- new version

* Fri Nov 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.23-1mdv2009.1
+ Revision: 303169
- add epoch to fit upstream versioning schema

* Sat Oct 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2009.1
+ Revision: 297139
- update to new version 0.23

* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2009.1
+ Revision: 296679
- update to new version 0.22

* Sun Oct 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2009.1
+ Revision: 295242
- update to new version 0.21

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12-5mdv2009.0
+ Revision: 258841
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12-4mdv2009.0
+ Revision: 246730
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.12-2mdv2008.1
+ Revision: 136365
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-2mdv2007.1
+ Revision: 133683
- cleanup

* Fri Mar 02 2007 Shlomi Fish  0.12-2mdv2007.0
- Changed the architecture to "noarch".

* Fri Mar 02 2007 Shlomi Fish  0.12-1mdv2007.0
- Initial release. Adapted the XML-Feed spec for this one.

